/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DeveloperConnectInsightsConfigConfig extends cdktf.TerraformMetaArguments {
    /**
    * User specified annotations. See https://google.aip.dev/148#annotations
    * for more details such as format and size limitations.
    *
    * **Note**: This field is non-authoritative, and will only manage the annotations present in your configuration.
    * Please refer to the field 'effective_annotations' for all of the annotations present on the resource.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#annotations DeveloperConnectInsightsConfig#annotations}
    */
    readonly annotations?: {
        [key: string]: string;
    };
    /**
    * The name of the App Hub Application.
    * Format:
    * projects/{project}/locations/{location}/applications/{application}
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#app_hub_application DeveloperConnectInsightsConfig#app_hub_application}
    */
    readonly appHubApplication: string;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#id DeveloperConnectInsightsConfig#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * ID of the requesting InsightsConfig.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#insights_config_id DeveloperConnectInsightsConfig#insights_config_id}
    */
    readonly insightsConfigId: string;
    /**
    * Set of labels associated with an InsightsConfig.
    *
    * **Note**: This field is non-authoritative, and will only manage the labels present in your configuration.
    * Please refer to the field 'effective_labels' for all of the labels present on the resource.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#labels DeveloperConnectInsightsConfig#labels}
    */
    readonly labels?: {
        [key: string]: string;
    };
    /**
    * Resource ID segment making up resource 'name'. It identifies the resource within its parent collection as described in https://google.aip.dev/122.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#location DeveloperConnectInsightsConfig#location}
    */
    readonly location: string;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#project DeveloperConnectInsightsConfig#project}
    */
    readonly project?: string;
    /**
    * artifact_configs block
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#artifact_configs DeveloperConnectInsightsConfig#artifact_configs}
    */
    readonly artifactConfigs?: DeveloperConnectInsightsConfigArtifactConfigs[] | cdktf.IResolvable;
    /**
    * timeouts block
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#timeouts DeveloperConnectInsightsConfig#timeouts}
    */
    readonly timeouts?: DeveloperConnectInsightsConfigTimeouts;
}
export interface DeveloperConnectInsightsConfigErrorsDetails {
}
export declare function developerConnectInsightsConfigErrorsDetailsToTerraform(struct?: DeveloperConnectInsightsConfigErrorsDetails): any;
export declare function developerConnectInsightsConfigErrorsDetailsToHclTerraform(struct?: DeveloperConnectInsightsConfigErrorsDetails): any;
export declare class DeveloperConnectInsightsConfigErrorsDetailsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DeveloperConnectInsightsConfigErrorsDetails | undefined;
    set internalValue(value: DeveloperConnectInsightsConfigErrorsDetails | undefined);
    get detailMessage(): string;
}
export declare class DeveloperConnectInsightsConfigErrorsDetailsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DeveloperConnectInsightsConfigErrorsDetailsOutputReference;
}
export interface DeveloperConnectInsightsConfigErrors {
}
export declare function developerConnectInsightsConfigErrorsToTerraform(struct?: DeveloperConnectInsightsConfigErrors): any;
export declare function developerConnectInsightsConfigErrorsToHclTerraform(struct?: DeveloperConnectInsightsConfigErrors): any;
export declare class DeveloperConnectInsightsConfigErrorsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DeveloperConnectInsightsConfigErrors | undefined;
    set internalValue(value: DeveloperConnectInsightsConfigErrors | undefined);
    get code(): number;
    private _details;
    get details(): DeveloperConnectInsightsConfigErrorsDetailsList;
    get message(): string;
}
export declare class DeveloperConnectInsightsConfigErrorsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DeveloperConnectInsightsConfigErrorsOutputReference;
}
export interface DeveloperConnectInsightsConfigRuntimeConfigsAppHubWorkload {
}
export declare function developerConnectInsightsConfigRuntimeConfigsAppHubWorkloadToTerraform(struct?: DeveloperConnectInsightsConfigRuntimeConfigsAppHubWorkload): any;
export declare function developerConnectInsightsConfigRuntimeConfigsAppHubWorkloadToHclTerraform(struct?: DeveloperConnectInsightsConfigRuntimeConfigsAppHubWorkload): any;
export declare class DeveloperConnectInsightsConfigRuntimeConfigsAppHubWorkloadOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DeveloperConnectInsightsConfigRuntimeConfigsAppHubWorkload | undefined;
    set internalValue(value: DeveloperConnectInsightsConfigRuntimeConfigsAppHubWorkload | undefined);
    get criticality(): string;
    get environment(): string;
    get workload(): string;
}
export declare class DeveloperConnectInsightsConfigRuntimeConfigsAppHubWorkloadList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DeveloperConnectInsightsConfigRuntimeConfigsAppHubWorkloadOutputReference;
}
export interface DeveloperConnectInsightsConfigRuntimeConfigsGkeWorkload {
}
export declare function developerConnectInsightsConfigRuntimeConfigsGkeWorkloadToTerraform(struct?: DeveloperConnectInsightsConfigRuntimeConfigsGkeWorkload): any;
export declare function developerConnectInsightsConfigRuntimeConfigsGkeWorkloadToHclTerraform(struct?: DeveloperConnectInsightsConfigRuntimeConfigsGkeWorkload): any;
export declare class DeveloperConnectInsightsConfigRuntimeConfigsGkeWorkloadOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DeveloperConnectInsightsConfigRuntimeConfigsGkeWorkload | undefined;
    set internalValue(value: DeveloperConnectInsightsConfigRuntimeConfigsGkeWorkload | undefined);
    get cluster(): string;
    get deployment(): string;
}
export declare class DeveloperConnectInsightsConfigRuntimeConfigsGkeWorkloadList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DeveloperConnectInsightsConfigRuntimeConfigsGkeWorkloadOutputReference;
}
export interface DeveloperConnectInsightsConfigRuntimeConfigs {
}
export declare function developerConnectInsightsConfigRuntimeConfigsToTerraform(struct?: DeveloperConnectInsightsConfigRuntimeConfigs): any;
export declare function developerConnectInsightsConfigRuntimeConfigsToHclTerraform(struct?: DeveloperConnectInsightsConfigRuntimeConfigs): any;
export declare class DeveloperConnectInsightsConfigRuntimeConfigsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DeveloperConnectInsightsConfigRuntimeConfigs | undefined;
    set internalValue(value: DeveloperConnectInsightsConfigRuntimeConfigs | undefined);
    private _appHubWorkload;
    get appHubWorkload(): DeveloperConnectInsightsConfigRuntimeConfigsAppHubWorkloadList;
    private _gkeWorkload;
    get gkeWorkload(): DeveloperConnectInsightsConfigRuntimeConfigsGkeWorkloadList;
    get state(): string;
    get uri(): string;
}
export declare class DeveloperConnectInsightsConfigRuntimeConfigsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DeveloperConnectInsightsConfigRuntimeConfigsOutputReference;
}
export interface DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysis {
    /**
    * The project id of the project where the provenance is stored.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#project_id DeveloperConnectInsightsConfig#project_id}
    */
    readonly projectId: string;
}
export declare function developerConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysisToTerraform(struct?: DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysisOutputReference | DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysis): any;
export declare function developerConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysisToHclTerraform(struct?: DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysisOutputReference | DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysis): any;
export declare class DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysisOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysis | undefined;
    set internalValue(value: DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysis | undefined);
    private _projectId?;
    get projectId(): string;
    set projectId(value: string);
    get projectIdInput(): string | undefined;
}
export interface DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistry {
    /**
    * The name of the artifact registry package.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#artifact_registry_package DeveloperConnectInsightsConfig#artifact_registry_package}
    */
    readonly artifactRegistryPackage: string;
    /**
    * The host project of Artifact Registry.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#project_id DeveloperConnectInsightsConfig#project_id}
    */
    readonly projectId: string;
}
export declare function developerConnectInsightsConfigArtifactConfigsGoogleArtifactRegistryToTerraform(struct?: DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistryOutputReference | DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistry): any;
export declare function developerConnectInsightsConfigArtifactConfigsGoogleArtifactRegistryToHclTerraform(struct?: DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistryOutputReference | DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistry): any;
export declare class DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistryOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistry | undefined;
    set internalValue(value: DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistry | undefined);
    private _artifactRegistryPackage?;
    get artifactRegistryPackage(): string;
    set artifactRegistryPackage(value: string);
    get artifactRegistryPackageInput(): string | undefined;
    private _projectId?;
    get projectId(): string;
    set projectId(value: string);
    get projectIdInput(): string | undefined;
}
export interface DeveloperConnectInsightsConfigArtifactConfigs {
    /**
    * The URI of the artifact that is deployed.
    * e.g. 'us-docker.pkg.dev/my-project/my-repo/image'.
    * The URI does not include the tag / digest because it captures a lineage of
    * artifacts.
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#uri DeveloperConnectInsightsConfig#uri}
    */
    readonly uri?: string;
    /**
    * google_artifact_analysis block
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#google_artifact_analysis DeveloperConnectInsightsConfig#google_artifact_analysis}
    */
    readonly googleArtifactAnalysis?: DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysis;
    /**
    * google_artifact_registry block
    *
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#google_artifact_registry DeveloperConnectInsightsConfig#google_artifact_registry}
    */
    readonly googleArtifactRegistry?: DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistry;
}
export declare function developerConnectInsightsConfigArtifactConfigsToTerraform(struct?: DeveloperConnectInsightsConfigArtifactConfigs | cdktf.IResolvable): any;
export declare function developerConnectInsightsConfigArtifactConfigsToHclTerraform(struct?: DeveloperConnectInsightsConfigArtifactConfigs | cdktf.IResolvable): any;
export declare class DeveloperConnectInsightsConfigArtifactConfigsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    private resolvableValue?;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DeveloperConnectInsightsConfigArtifactConfigs | cdktf.IResolvable | undefined;
    set internalValue(value: DeveloperConnectInsightsConfigArtifactConfigs | cdktf.IResolvable | undefined);
    private _uri?;
    get uri(): string;
    set uri(value: string);
    resetUri(): void;
    get uriInput(): string | undefined;
    private _googleArtifactAnalysis;
    get googleArtifactAnalysis(): DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysisOutputReference;
    putGoogleArtifactAnalysis(value: DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysis): void;
    resetGoogleArtifactAnalysis(): void;
    get googleArtifactAnalysisInput(): DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactAnalysis | undefined;
    private _googleArtifactRegistry;
    get googleArtifactRegistry(): DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistryOutputReference;
    putGoogleArtifactRegistry(value: DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistry): void;
    resetGoogleArtifactRegistry(): void;
    get googleArtifactRegistryInput(): DeveloperConnectInsightsConfigArtifactConfigsGoogleArtifactRegistry | undefined;
}
export declare class DeveloperConnectInsightsConfigArtifactConfigsList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    internalValue?: DeveloperConnectInsightsConfigArtifactConfigs[] | cdktf.IResolvable;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DeveloperConnectInsightsConfigArtifactConfigsOutputReference;
}
export interface DeveloperConnectInsightsConfigTimeouts {
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#create DeveloperConnectInsightsConfig#create}
    */
    readonly create?: string;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#delete DeveloperConnectInsightsConfig#delete}
    */
    readonly delete?: string;
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#update DeveloperConnectInsightsConfig#update}
    */
    readonly update?: string;
}
export declare function developerConnectInsightsConfigTimeoutsToTerraform(struct?: DeveloperConnectInsightsConfigTimeouts | cdktf.IResolvable): any;
export declare function developerConnectInsightsConfigTimeoutsToHclTerraform(struct?: DeveloperConnectInsightsConfigTimeouts | cdktf.IResolvable): any;
export declare class DeveloperConnectInsightsConfigTimeoutsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    private resolvableValue?;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): DeveloperConnectInsightsConfigTimeouts | cdktf.IResolvable | undefined;
    set internalValue(value: DeveloperConnectInsightsConfigTimeouts | cdktf.IResolvable | undefined);
    private _create?;
    get create(): string;
    set create(value: string);
    resetCreate(): void;
    get createInput(): string | undefined;
    private _delete?;
    get delete(): string;
    set delete(value: string);
    resetDelete(): void;
    get deleteInput(): string | undefined;
    private _update?;
    get update(): string;
    set update(value: string);
    resetUpdate(): void;
    get updateInput(): string | undefined;
}
/**
* Represents a {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config google_developer_connect_insights_config}
*/
export declare class DeveloperConnectInsightsConfig extends cdktf.TerraformResource {
    static readonly tfResourceType = "google_developer_connect_insights_config";
    /**
    * Generates CDKTF code for importing a DeveloperConnectInsightsConfig resource upon running "cdktf plan <stack-name>"
    * @param scope The scope in which to define this construct
    * @param importToId The construct id used in the generated config for the DeveloperConnectInsightsConfig to import
    * @param importFromId The id of the existing DeveloperConnectInsightsConfig that should be imported. Refer to the {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config#import import section} in the documentation of this resource for the id to use
    * @param provider? Optional instance of the provider where the DeveloperConnectInsightsConfig to import is found
    */
    static generateConfigForImport(scope: Construct, importToId: string, importFromId: string, provider?: cdktf.TerraformProvider): cdktf.ImportableResource;
    /**
    * Create a new {@link https://registry.terraform.io/providers/hashicorp/google/6.50.0/docs/resources/developer_connect_insights_config google_developer_connect_insights_config} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DeveloperConnectInsightsConfigConfig
    */
    constructor(scope: Construct, id: string, config: DeveloperConnectInsightsConfigConfig);
    private _annotations?;
    get annotations(): {
        [key: string]: string;
    };
    set annotations(value: {
        [key: string]: string;
    });
    resetAnnotations(): void;
    get annotationsInput(): {
        [key: string]: string;
    } | undefined;
    private _appHubApplication?;
    get appHubApplication(): string;
    set appHubApplication(value: string);
    get appHubApplicationInput(): string | undefined;
    get createTime(): string;
    private _effectiveAnnotations;
    get effectiveAnnotations(): cdktf.StringMap;
    private _effectiveLabels;
    get effectiveLabels(): cdktf.StringMap;
    private _errors;
    get errors(): DeveloperConnectInsightsConfigErrorsList;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _insightsConfigId?;
    get insightsConfigId(): string;
    set insightsConfigId(value: string);
    get insightsConfigIdInput(): string | undefined;
    private _labels?;
    get labels(): {
        [key: string]: string;
    };
    set labels(value: {
        [key: string]: string;
    });
    resetLabels(): void;
    get labelsInput(): {
        [key: string]: string;
    } | undefined;
    private _location?;
    get location(): string;
    set location(value: string);
    get locationInput(): string | undefined;
    get name(): string;
    private _project?;
    get project(): string;
    set project(value: string);
    resetProject(): void;
    get projectInput(): string | undefined;
    get reconciling(): cdktf.IResolvable;
    private _runtimeConfigs;
    get runtimeConfigs(): DeveloperConnectInsightsConfigRuntimeConfigsList;
    get state(): string;
    private _terraformLabels;
    get terraformLabels(): cdktf.StringMap;
    get updateTime(): string;
    private _artifactConfigs;
    get artifactConfigs(): DeveloperConnectInsightsConfigArtifactConfigsList;
    putArtifactConfigs(value: DeveloperConnectInsightsConfigArtifactConfigs[] | cdktf.IResolvable): void;
    resetArtifactConfigs(): void;
    get artifactConfigsInput(): cdktf.IResolvable | DeveloperConnectInsightsConfigArtifactConfigs[] | undefined;
    private _timeouts;
    get timeouts(): DeveloperConnectInsightsConfigTimeoutsOutputReference;
    putTimeouts(value: DeveloperConnectInsightsConfigTimeouts): void;
    resetTimeouts(): void;
    get timeoutsInput(): cdktf.IResolvable | DeveloperConnectInsightsConfigTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
    protected synthesizeHclAttributes(): {
        [name: string]: any;
    };
}
